<?php 
include '../koneksi.php';
session_start();
date_default_timezone_set('Asia/Jakarta');


//$petugas = $_SESSION['id'];
//$waktu = date('Y-m-d H:i:s'); 
$id  = $_POST['id'];
$kode_surat  = $_POST['kode_surat'];
$jenis_monev  = $_POST['jenis_monev'];
$nomor_monev  = $_POST['nomor_monev'];
$nama_monev  = $_POST['nama_monev'];

$rand = rand();

$filename = $_FILES['file']['name'];

if($filename == ""){

	mysqli_query($koneksi, "update monev set kode_surat_und ='$kode_surat', jenis_monev='$jenis_monev', nomor_monev='$nomor_monev', nama_monev='$nama_monev' where id_monev='$id'")or die(mysqli_error($koneksi));
	header("location:monev.php");

}else{

	$jenis = pathinfo($filename, PATHINFO_EXTENSION);
	$file_size = $_FILES['file']['size'];
	
	if ($file_size > 2097152) {
	// Jika File lebih dari 2 MB maka akan gagal mengupload File
	header("location:monev.php?alert=gagalsize");
	
	} else if($jenis != "pdf") {
		header("location:monev.php?alert=gagal");
	}else{

		// hapus file lama
		$lama = mysqli_query($koneksi,"select * from monev where id_monev='$id'");
		$l = mysqli_fetch_assoc($lama);
		$nama_file_lama = $l['file_monev'];
		unlink("../arsipmonev/".$nama_file_lama);

		// upload file baru
		move_uploaded_file($_FILES['file']['tmp_name'], '../arsipmonev/'.$rand.'_'.$filename);
		$nama_file = $rand.'_'.$filename;
		mysqli_query($koneksi, "update monev set kode_surat_und ='$kode_surat', jenis_monev='$jenis_monev', nomor_monev='$nomor_monev', nama_monev='$nama_monev', file_monev='$nama_file' where id_monev='$id'")or die(mysqli_error($koneksi));
		header("location:monev.php?alert=sukses");
	}
}

